Global Rulestack - list Security Services
List the security services for rulestack
POST https://management.azure.com/providers/PaloAltoNetworks.Cloudngfw/globalRulestacks/{globalRulestackName}/listSecurityServices?api-version=2025-10-08&type={type}
POST https://management.azure.com/providers/PaloAltoNetworks.Cloudngfw/globalRulestacks/{globalRulestackName}/listSecurityServices?api-version=2025-10-08&skip={skip}&top={top}&type={type}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
global
|
path | True |
string |
GlobalRulestack resource name |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
type
|
query | True | ||
|
skip
|
query |
string |
||
|
top
|
query |
integer (int32) |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
Global |
|
Global |
GlobalRulestack_listSecurityServices_MaximumSet_Gen
Sample request
POST https://management.azure.com/providers/PaloAltoNetworks.Cloudngfw/globalRulestacks/praval/listSecurityServices?api-version=2025-10-08&skip=a6a321&top=20&type=globalRulestacks
Sample response
{
"nextLink": "a5324fa34",
"value": {
"type": "globalRulestacks",
"entry": [
{
"name": "aaaaaaaaaa",
"description": "aaaaaaaaaaaa"
}
]
}
}
GlobalRulestack_listSecurityServices_MinimumSet_Gen
Sample request
POST https://management.azure.com/providers/PaloAltoNetworks.Cloudngfw/globalRulestacks/praval/listSecurityServices?api-version=2025-10-08&type=globalRulestacks
Sample response
{
"value": {
"entry": [
{
"name": "aaaaaaaaaa"
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Name |
object type info |
|
security |
Security services list response |
|
Security |
|
|
security |
Security services type list |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
NameDescriptionObject
object type info
| Name | Type | Description |
|---|---|---|
| description |
string |
description value |
| name |
string |
name value |
securityServicesResponse
Security services list response
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
next link |
| value |
response value |
SecurityServicesTypeEnum
| Value | Description |
|---|---|
| antiSpyware | |
| antiVirus | |
| ipsVulnerability | |
| urlFiltering | |
| fileBlocking | |
| dnsSubscription |
securityServicesTypeList
Security services type list
| Name | Type | Description |
|---|---|---|
| entry |
list |
|
| type |
string |
security services type |